using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
    public interface ISupplierStorage
    {
        List<SupplierViewModel> GetFullList();
        List<SupplierViewModel> GetFilteredList(SupplierSearchModel model);
        SupplierViewModel? GetElement(SupplierSearchModel model);
        SupplierViewModel? Insert(SupplierBindingModel model);
        SupplierViewModel? Update(SupplierBindingModel model);
        SupplierViewModel? Delete(SupplierBindingModel model);
    }
}
